Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225266 - Merge Review: aspell-en
Summary: Merge Review: aspell-en
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:04 UTC by Nobody's working on this, feel free to take it
Modified: 2010-07-26 22:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 03:37:21 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Clean SPEC (deleted)
2007-03-27 10:31 UTC, Parag AN(पराग)
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-29 21:04:01 UTC
Fedora Merge Review: aspell-en

http://cvs.fedora.redhat.com/viewcvs/devel/aspell-en/

Comment 1 Parag AN(पराग) 2007-03-27 10:31:08 UTC
Created attachment 151007 [details]
Clean SPEC 

Update Source to aspell6-en-6.0-0

Comment 2 Parag AN(पराग) 2007-03-30 06:39:14 UTC
rpmlint on SRPM reported
W: aspell-en unversioned-explicit-obsoletes aspell-en-gb
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: aspell-en unversioned-explicit-obsoletes aspell-en-ca
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

Can you add versions in Obsoletes tag?

rpmlint on RPM reported
E: aspell-en obsolete-not-provided aspell-en-gb
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

E: aspell-en obsolete-not-provided aspell-en-ca
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

But as discussed before
https://www.redhat.com/archives/fedora-maintainers/2007-March/msg00463.html

obsolete not provided is Warning and can be ignored.

Comment 3 Ivana Varekova 2007-04-04 10:58:03 UTC
Thanks Parag for your excellent work.
There should be used Conflicts flag instead of Obsoletes (see
http://fedoraproject.org/wiki/PackagingDrafts/Conflicts).
The fixed version is aspell-en-6.0-6.fc7.

Comment 4 Parag AN(पराग) 2007-04-04 12:09:15 UTC
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and RPM.
  E: aspell-en obsolete-not-provided aspell-en-gb
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

E: aspell-en obsolete-not-provided aspell-en-ca
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.
  
  The above are OK and already set to show warning instead Error in rpmlint CVS.

  Also following messages are ignorable
  E: aspell-en no-binary
  E: aspell-en only-non-binary-in-usr-lib
  E: aspell-en configure-without-libdir-spec
+ SPEC file contains explanation about above warnings.
+ source files match upstream.
16449e0a266e1ecc526b2f3cd39d4bc2  aspell6-en-6.0-0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: aspell >= 12:0.60
+ Provides: aspell-en = 50:6.0-7.fc7
+ Not a GUI APP.
APPROVED.


Comment 5 Parag AN(पराग) 2007-04-04 12:10:09 UTC
Forgot to mention new SPEC contains Obsoletes and not Conflicts


Comment 6 Parag AN(पराग) 2007-04-11 03:37:21 UTC
As build is available now, therefore CLOSING this review.

Comment 7 Paul Howarth 2010-07-08 08:44:24 UTC
I would like to see this package branched for EPEL-6 for reasons described in Bug #590700.

Ivana, would you be willing to maintain this in EPEL-6? If not, I'll be happy to look after it there.

Comment 8 Paul Howarth 2010-07-26 10:57:29 UTC
Package Change Request
======================
Package Name: aspell-en
New Branches: EL-6
Owners: pghmcfc

No response from owner in over 2 weeks; needed for perl-Text-Aspell and all perl modules that depend on it.

I will of course be happy to hand this branch back to Ivana should she want it.

Comment 9 Ivana Varekova 2010-07-26 12:50:56 UTC
Hello, sorry for the late response, , I can finish the process when the branch will be created and maintain the package if it is ok for you. Is it ok for you?

Comment 10 Paul Howarth 2010-07-26 12:58:49 UTC
Ivana, I'm delighted to have you as maintainer - my only interest in the package is that I need it as a dependency of other things. So I'll change the package change request accordingly:

Package Change Request
======================
Package Name: aspell-en
New Branches: EL-6
Owners: varekova

Comment 11 Ivana Varekova 2010-07-26 13:08:18 UTC
Thanks :)

Comment 12 Kevin Fenzi 2010-07-26 22:25:39 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.